<ng-template [ngIf]="isLoader">
    <app-loader></app-loader>
</ng-template>

<app-nav></app-nav>
<div
  style="
    background-color: rgb(156, 132, 10);
    align-items: center;
    display: flex;
    flex-direction: column;
  "
>
<app-counter></app-counter>
  <h1 style="color: white"><i>Pick Your Choice</i></h1>
  <app-filter (Filter)="filter($event)"></app-filter>
  <div class="container-fluid">
    <div class="card Bistro" *ngFor="let e of restaurants">
      <img src="{{ e.img }}" class="img-fluid" alt="image" />

      <div class="card-body">
        <li class="list">
          <b>Restaurant Name </b> :-<em> {{ e.name }}</em>
        </li>
        <li class="list">
          <b>Restaurant Description</b> :- <em>{{ e.description }}</em>
        </li>
        <li class="list">
          <b>Restaurant Location</b> :- <em> {{ e.location }}</em>
        </li>
        <li class="list">
          <b>Restaurant Contact</b> :- <em> {{ e.Contact }}</em>
        </li>
        <li class="list">
          <b>Restaurant Rating</b> :-<em> {{ e.rating }}</em>
        </li>
        <div class="d-flex align-items-start flex-row">
          <button (click)="addReview()" class="btn btn-primary">
            Add a Review
          </button>
          <button (click)="showReview(e.name)" class="ms-2 btn btn-warning">
            Show Reviews
          </button>
        </div>

        <ng-template [ngIf]="(review  )">
          <div class="mt-3">
            <h4>Add your Experience</h4>
            <div
              class="input-group d-flex flex-column justify-content-around mt-5 pt-2"
            >
              <div class="form-floating">
                <textarea
                  class="form-control"
                  placeholder="Leave a comment here"
                  id="floatingTextarea2"
                  style="height: 100px"
                ></textarea>
                <label style="color: black" for="floatingTextarea2"
                  >Comments</label
                >
              </div>
              <div>
                <label>Rate</label>
                <input class="mt-3 ms-2" type="number" min="1" max="5" />
              </div>
              <button
                (click)="submitReview()"
                class="btn btn-primary mt-3 review-btn"
              >
                Add
              </button>
            </div>
          </div>
        </ng-template>
      </div>
      <ng-template [ngIf]="(showAll &&  e.name===restaurantName)">
        <app-reviews></app-reviews>
      </ng-template>
    </div>
  </div>
</div>
